%global modulename pytest-runner
%global _modulename pytest_runner

Name:           python-%{modulename}
Version:        4.2
Release:        %mkrel 3
Summary:        Invoke py.test as distutils command with dependency resolution
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/%{modulename}
# setuptools-scm requires a pypi tarball and doesn't like github tarball
Source0:        https://files.pythonhosted.org/packages/source/p/%{modulename}/%{modulename}-%{version}.tar.gz
BuildArch: noarch

%description
Setup scripts can use pytest-runner to add setup.py test support for pytest runner.

%package -n python3-%{modulename}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modulename}}
Requires:       python3-pytest
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pytest

%description -n python3-%{modulename}
Setup scripts can use pytest-runner to add setup.py test support for pytest runner.

%prep
%autosetup -n %{modulename}-%{version}

# drop bundled egg-info
rm -rf pytest_runner.egg-info/

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{modulename}
%doc README.rst
%license LICENSE
%{python3_sitelib}/ptr.py
%{python3_sitelib}/%{_modulename}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/__pycache__/ptr.*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 4.2-3.mga8
+ Revision: 1530956
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 4.2-2.mga8
+ Revision: 1437962
- rebuild for python3.8
- drop python2 support

* Sun Jan 06 2019 shlomif <shlomif> 4.2-1.mga7
+ Revision: 1350154
- new version 4.2 + rebuild for py3.7

* Sat Jan 05 2019 wally <wally> 4.0-2.mga7
+ Revision: 1349751
- rebuild for python3.7

* Sat Oct 20 2018 tv <tv> 4.0-1.mga7
+ Revision: 1323142
- new release

* Thu Sep 20 2018 umeabot <umeabot> 2.9-8.mga7
+ Revision: 1289896
- Mageia 7 Mass Rebuild

* Sat Nov 25 2017 daviddavid <daviddavid> 2.9-7.mga7
+ Revision: 1179231
- rebuild to regenerate python provides

* Sat Aug 05 2017 pterjan <pterjan> 2.9-6.mga7
+ Revision: 1135588
- Rebuild for python 3.6

* Sun May 14 2017 ngompa <ngompa> 2.9-5.mga6
+ Revision: 1101175
- Port to Mageia
- imported package python-pytest-runner


* Thu Mar 9 2017 Orion Poplawski <orion@cora.nwra.com> - 2.9-4
- Build python 3 version for EPEL

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 13 2016 Stratakis Charalampos <cstratak@redhat.com> - 2.9-2
- Rebuild for Python 3.6

* Sat Aug 06 2016 Vadim Rutkovsky <vrutkovs@redhat.com> - 2.9-1
- Initial package
